jQuery(document).ready(function() {	
	
	jQuery('.mobile-menu .burger, .main-menu .hide').click(function() {
		jQuery('.main-menu-wrapper').slideToggle();
		jQuery('.search-form-wrapper').hide();
	});
	
	jQuery('.mobile-menu .search, .main-menu .search').click(function() {
		jQuery('.search-form-wrapper').slideToggle();
	});
	
	jQuery.validator.addMethod("phoneRegex", function(value, element) {
        return this.optional(element) || /^[0-9() \-]+$/i.test(value);
	}, "Phone number must be in the following format (555) 555-5555.");
	
	
	jQuery('.contact-form').validate({
		rules: {
			your_name: {
				required: true
			},
			your_email: {
				required: true,
				email: true
			},			
			your_phone: {
                required: true,
                phoneRegex: true,
				minlength: 14
			},
			your_case: {
				required: true
			},
			agree: {
				required: true
			}
		},
		messages: {
			your_name: {
				required: "Enter Your Name!"
			},
			your_email: {
				required: "Enter Your Email!",
				email: "Enter Valid Email!"
			},
			your_phone: {
                required: "Enter Your Phone number!",
                phoneRegex: "Phone number must be in the following format (555) 555-5555.",
				minlength: "Phone number must be in the following format (555) 555-5555."
			},
			your_case: {
				required: "Please fill out this field!"
			},
			agree: {
				required: "Please agree to our policy!"
			}
		},
		
		submitHandler: function (form) { 
			form.submit();
			return false;
		}
	});
});