<?php
/* Creating A CUSTOM FORM
Duplicate this file, but name the copy something like "2.php".  Open the copy and modify the html as needed.
*/

/* CALLING THE CUSTOM FORM
In a wordpress page, use this shortcode (for example):  [nextclient_form id=2]
/*

/* INPUT NAMING CONVENTION
Input names should be sentences that will appear in email to client, but use underscores instead of spaces:  <input name="Best_Time_To_Call" type="text">

Do not use "email" as an input name.  We already use a field with that name and it's hidden to humans.  On form submission, we check to make sure the field is blank.  If it isn't, then we know a bot made the submission.
*/

/* CAPTCHA OVERRIDING
To override the captcha defaults, uncomment the line below and modify as necessary*/

//$captchaIMG .= "?bg=443344&fg=ffffff&width=240&height=80";


/* 	PART I
	The form automatically receives an id according to the "id" used in the shortcode calling this form.  You may have to modify the class if the stylesheet is applying unwanted styles.
*/

$formHTML = <<<EOD
<form id="$formID" class="nc_form validateForm" action="$self" method="post">
EOD;



/*	PART II
	Add or remove HTML.  It can be something completely different.

	Since checkboxes are rare, it's having a sample handy:
	<div class="form-part checkbox">
		<label>Education:</label>
		<input class="delin" name="Education[]" type="checkbox" value="Middle School" /> Middle School
		<input name="Education[]" type="checkbox" value="High School" /> High School
		<input name="Education[]" type="checkbox" value="University" /> University
	</div>
*/


$formSelectableMonths = <<<EOT
		<option value="January">January</option>
		<option value="February">February</option>
		<option value="March">March</option>
		<option value="April">April</option>
		<option value="May">May</option>
		<option value="June">June</option>
		<option value="July">July</option>
		<option value="August">August</option>
		<option value="September">September</option>
		<option value="October">October</option>
		<option value="November">November</option>
		<option value="December">December</option>
EOT;
$formSelectableDays = "";
for($ii = 1; $ii <= 31; $ii++) {
	$paddedii = sprintf("%02d", $ii);
	$formSelectableDays .= "<option value='{$paddedii}'>{$paddedii}</option>";
}
$formSelectableYears = "";
$formCurYear = date('Y');
for($ii = $formCurYear; $ii <= $formCurYear + 1; $ii++) {
		$formSelectableYears .= "<option value='{$ii}'>{$ii}</option>";
}

$formHTML .= <<<EOD
	<h2>Your Information:</h2>
	<div class="form-part">
		<label>Name:<span class="req">*</span></label>
		<input class="required" name="Name" type="text" />
	</div>
	<div class="form-part">
		<label>Attorney Name:</label>
		<input name="Attorney_Name" type="text" />
	</div>
	<div class="form-part">
		<label>Telephone:</label>
		<input name="Telephone" type="text" />
	</div>
	<div class="form-part">
		<label>Email:<span class="req">*</span></label>
		<input class="required email" name="Email_Address" type="text" />
	</div>
	<h2>Deposition Information:</h2>
	<div class="form-part inlineSelect">
		<label>Deposition Date:</label>
		<select name="Deposition_Date[]">
			<option value="Unspecified">Month</option>
			{$formSelectableMonths}
		</select>
		<select name="Deposition_Date[]">
			<option value="Unspecified">Day</option>
			{$formSelectableDays}
		</select>
		<select name="Deposition_Date[]">
			<option value="Unspecified">Year</option>
			{$formSelectableYears}
		</select>
	</div>
	<div class="form-part inlineSelect">
		<label>Deposition Time:</label>
		<select name="Deposition_Time[]">
			<option value="Unspecified">Hour</option>
			<option value="1">1</option>
			<option value="2">2</option>
			<option value="3">3</option>
			<option value="4">4</option>
			<option value="5">5</option>
			<option value="6">6</option>
			<option value="7">7</option>
			<option value="8">8</option>
			<option value="9">9</option>
			<option value="10">10</option>
			<option value="11">11</option>
			<option value="12">12</option>
		</select>
		<select name="Deposition_Time[]">
			<option value="Unspecified">Minute</option>
			<option value="00">00</option>
			<option value="05">05</option>
			<option value="10">10</option>
			<option value="15">15</option>
			<option value="20">20</option>
			<option value="25">25</option>
			<option value="30">30</option>
			<option value="35">35</option>
			<option value="40">40</option>
			<option value="45">45</option>
			<option value="50">50</option>
			<option value="55">55</option>
		</select>
		<select name="Deposition_Time[]">
			<option value="Unspecified">AM/PM</option>
			<option value="AM">AM</option>
			<option value="PM">PM</option>
		</select>
	</div>
	<div class="form-part">
		<label>Deposition Location:<br /><em><small>Firm Name, Street, Suite, City, State, Zip</small></em></label>

		<textarea name="Deposition_Location" rows="5"></textarea>
	</div>
	<div class="form-part">
		<label>Deponent Name:</label>
		<input name="Deponent_Name" type="text" />
	</div>
	<div class="form-part">
		<label>Expected Length of Deposition:</label>
		<input name="Deposition_Length_in_Hours" type="text" value="e.g. 2 hours" />
	</div>
	<div class="form-part">
		<label>Delivery:</label>
		<select name="Delivery[]">
			<option value="Unspecified">Please Select One</option>
			<option value="Normal">Normal</option>
			<option value="Rough Draft">Rough Draft</option>
			<option value="Expedite">Expedite</option>
		</select>
	</div>
	<div class="form-part">
		<label>Trial or Hearing Date:</label>
		<input name="Trial_or_Hearing_Date" type="text" value="e.g. mm/dd/yyyy" />
	</div>
	<div class="form-part radio">
		<label>Videographer?</label>
		<input class="delin" name="Videographer" type="radio" value="Yes" /> Yes <input name="Videographer" type="radio" value="No" /> No
	</div>
	<div class="form-part radio">
		<label>Realtime?</label>
		<input class="delin" name="Real_Time" type="radio" value="Yes" /> Yes <input name="Real_Time" type="radio" value="No" /> No
	</div>
	<div class="form-part">
		<label>If yes, specify number of connections:</label>
		<input name="Number_of_Connections" type="text" />
	</div>
	<div class="form-part">
		<label>Additional Comments:</label>
		<textarea name="Additional_Comments" rows="5"></textarea>
	</div>
	<div class="form-part captcha-wrapper">
		<div class="captcha-container">
			<img src="$captchaIMG" class="captcha-image" onclick="this.src = this.src + '?'+Math.random()" alt="Captcha Image" />
		</div>
		<input type="text" name="nc_captcha" value="Enter Security Key" class="captcha-input">
	</div>
EOD;

/*	Part III
	Set the value for the line below to the name of the input that will store the email address.  Case sensitive.  If the email address looks valid enough, it will be used as the reply-to email address as well as the post title in the database.
*/
$formHTML .= <<<EOD
	<input type="hidden" class="hidden" name="replyTo" value="Email_Address" />
EOD;

/* 	PART IV
	You should not have to modify anything below this line.
*/

/* Add the line below to $formHTML to redirect to thank-you page:
<input type="hidden" class="hidden" name="redirect" value="/thank-you/" />
*/

$formHTML .= <<<EOD
	<input type="hidden" class="hidden" name="Form_Used" value="Depo Form" />
	<input type="hidden" class="hidden" name="email" />
	<input type="hidden" class="hidden" name="ncFormSubmission" value="$formID" />
	<input class="submit-button" id="submit_$formID" type="submit" value="Submit Form" />
</form>
EOD;

?>